Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class LengthFacet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.LengthRangeFacet
              com.saxonica.schema.LengthFacet

All Implemented Interfaces:
  Serializable

    public class LengthFacet

extends LengthRangeFacet

Represents the length facet

See Also:
  Serialized Form

Constructor Summary
`LengthFacet()`

Method Summary
`void` | `checkFacetRestriction(UserSimpleType type, SimpleType base, SchemaCompiler compiler)` Check that this facet is legal when used on a type derived by restriction
`String` | `getName()` Returns the name of this Facet
`boolean` | `testLength(int actualLength)` Test whether a supplied length conforms to this required length.

Methods inherited from class com.saxonica.schema.LengthRangeFacet
`getValue, setNumericValue, setValue, testAtomicValue, toLong`

Methods inherited from class com.saxonica.schema.Facet
`getMessage, getWhitespaceAction, isConstraining, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, setMessage, testListValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LengthFacet

    public LengthFacet()

Method Detail

### getName

    public String getName()

  Description copied from class: `Facet`
  Returns the name of this Facet

  Specified by:
    `getName` in class `Facet`
  Returns:
    the name of this Facet

### checkFacetRestriction

    public void checkFacetRestriction(UserSimpleType type,
                                      SimpleType base,
                                      SchemaCompiler compiler)
                               throws SchemaException,
                                      ValidationException

  Check that this facet is legal when used on a type derived by restriction

  Overrides:
    `checkFacetRestriction` in class `Facet`
  Parameters:
    `base` - the type from which the restricted type is derived
    `compiler` - the schema compiler
    `type` - the type on which the facet is defined
  Throws:
    `SchemaException` - if the facet is not legal
    `ValidationException` - if a value is found that does not conform to the facet

### testLength

    public boolean testLength(int actualLength)

  Test whether a supplied length conforms to this required length.

  Specified by:
    `testLength` in class `LengthRangeFacet`
  Parameters:
    `actualLength` - the actual length of the list
  Returns:
    true if the facet allows a list of this length, otherwise false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.